Bug 191893 - update port: emulators/joytran
Summary: update port: emulators/joytran
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-16 05:59 UTC by Timothy Beyer
Modified: 2014-07-20 07:05 UTC (History)
2 users (show)

See Also:


Attachments
joytran.diff (1.51 KB, patch)
2014-07-16 05:59 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2014-07-16 05:59:40 UTC
Created attachment 144715 [details]
joytran.diff

- update to version 0.9.5.2

- use STRIP_CMD on resulting binary

How-To-Repeat:
Apply patch and build port

Fix:
The included patch
Comment 1 Timothy Beyer 2014-07-16 06:37:27 UTC
Redports build details:

emulators/joytran 0.9.5.2
10.0-RELEASE/amd64	success	89 seconds	Buildlog
10.0-RELEASE/i386	success	71 seconds	Buildlog
9.2-RELEASE/amd64	success	3 minutes	Buildlog
9.2-RELEASE/i386	success	63 seconds	Buildlog
QATty	success	4 minutes	Buildlog

source:
https://redports.org/buildarchive/20140716062000-33383/
Comment 2 commit-hook freebsd_committer 2014-07-17 05:40:56 UTC
A commit references this bug:

Author: pi
Date: Thu Jul 17 05:40:12 UTC 2014
New revision: 362121
URL: http://svnweb.freebsd.org/changeset/ports/362121

Log:
  emulators/joytran: 0.9.5.1 -> 0.9.5.2

  - stripped binary
  - USES update

  PR:		191893
  Submitted by:	beyert@cs.ucr.edu (maintainer)

Changes:
  head/emulators/joytran/Makefile
Comment 3 Kurt Jaeger freebsd_committer 2014-07-17 05:43:10 UTC
Committed, thanks!
Comment 4 Timothy Beyer 2014-07-20 04:01:08 UTC
Hi, it seems that the distinfo file in the ports tree isn't using the current submission (still using 0.9.5.1 for some reason).  Can someone apply the submitted distinfo for 0.9.5.2?

Thanks!

Regards,
Tim
Comment 5 Kurt Jaeger freebsd_committer 2014-07-20 07:05:05 UTC
Updated missing distinfo, sorry for the lapse.
Comment 6 commit-hook freebsd_committer 2014-07-20 07:05:22 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 20 07:04:24 UTC 2014
New revision: 362297
URL: http://svnweb.freebsd.org/changeset/ports/362297

Log:
  emulators/joytran: provide correct distinfo

  PR:		191893
  Submitted by:	beyert@cs.ucr.edu (maintainer)

Changes:
  head/emulators/joytran/distinfo